## plasma-integration 6.4.5+p24.04+vstable+git20251003.1122

=== debian/changelog ===
plasma-integration (6.4.5+p24.04+vstable+git20251003.1122-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 11:22:01 +0000

plasma-integration (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:04:03 +0000

plasma-integration (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:20:26 +0000

plasma-integration (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:08:03 +0000

plasma-integration (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:34:44 +0000

plasma-integration (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:49:53 +0000

plasma-integration (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:25:14 +0000

plasma-integration (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:58:29 +0000

plasma-integration (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:10:35 +0000

plasma-integration (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:09:13 +0000

plasma-integration (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:11:11 +0000

plasma-integration (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:55:15 +0000

plasma-integration (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:30:36 +0000

plasma-integration (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 01 Jan 2025 17:28:06 +1000

plasma-integration (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:34:18 +0000

plasma-integration (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:12:49 +0000

plasma-integration (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:05:09 +0000

plasma-integration (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:12:40 +0000

plasma-integration (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 14:22:10 +0000

plasma-integration (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:13:51 +0000

plasma-integration (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:31:41 +0000

plasma-integration (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:07:33 +0000

plasma-integration (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:40:47 +0000

plasma-integration (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 13:00:30 +0000

plasma-integration (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:19:11 +0000

plasma-integration (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:50:29 +0000

plasma-integration (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:22:48 +0000

plasma-integration (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:14:20 +1000

plasma-integration (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:52:06 +0000

plasma-integration (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:01:00 +0000

plasma-integration (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:09:18 +0000

plasma-integration (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:22:11 +0000

plasma-integration (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:09:08 +0000

plasma-integration (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 May 2023 13:49:07 +0000

plasma-integration (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:32:42 +0000

plasma-integration (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:13:06 +0000

plasma-integration (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:05:39 +0000

plasma-integration (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:34:15 +0000

plasma-integration (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:49:26 +0000

plasma-integration (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:47:21 +0000

plasma-integration (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:44:46 +0000

plasma-integration (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:24:10 +0000

plasma-integration (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 10:01:11 +0000

plasma-integration (5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:42:03 +0000



## plasma-integration 6.4.5+p24.04+vstable+git20251004.0505

=== debian/changelog ===
plasma-integration (6.4.5+p24.04+vstable+git20251004.0505-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:05:39 +0000

## plasma-integration 6.4.91

=== debian/changelog ===
plasma-integration (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Oct 2025 12:20:54 +0200

=== debian/control ===
Source: plasma-integration
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               breeze-dev (>= 4:6.4.91~),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libkf5config-dev (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5iconthemes-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5wayland-dev (>= 4:5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libkf5xmlgui-dev (>= 5.102.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libqt5waylandclient5-dev (>= 5.15.2~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libwayland-dev (>= 1.9~),
               libxcursor-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.6.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-dev-tools (>= 5.15.2~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
               qtwayland5-dev-tools (>= 5.15.2~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-integration
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-integration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-integration.git
Rules-Requires-Root: no

Package: plasma-integration
Architecture: any
Depends: breeze (>= 4:6.2.90~),
         qml6-module-org-kde-breeze,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: fonts-hack,
            fonts-noto-color-emoji,
            fonts-noto-core,
            fonts-noto-ui-core,
            xdg-desktop-portal-kde,
Enhances: kio6,
Description: Qt Platform Theme integration plugins for KDE Plasma 6
 A plugin to provide Qt Platform Theme integration for the Plasma 6
 workspace.

Package: plasma5-integration
Architecture: any
Depends: breeze (>= 4:5.27.11~),
         qml-module-org-kde-qqc2desktopstyle,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: fonts-hack,
            fonts-noto-core,
            fonts-noto-ui-core,
Enhances: kio,
Breaks: plasma-integration (<< 6.1.0~),
Replaces: plasma-integration (<< 6.1.0~),
Description: Qt Platform Theme integration plugins for KDE Plasma 5
 A plugin to provide Qt Platform Theme integration for the Plasma 5
 workspace.

## plasma-integration 6.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(PlasmaIntegration)
set(PROJECT_VERSION "6.5.0")

set(QT5_MIN_VERSION "5.15.2")
set(QT_MIN_VERSION "6.9.0")
set(KF5_MIN_VERSION "5.102.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(QT_NO_CREATE_VERSIONLESS_TARGETS ON)
set(QT_NO_CREATE_VERSIONLESS_FUNCTIONS ON)

find_package(ECM ${KF5_MIN_VERSION}  REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} )

# We need this because we can't include KDECMakeSettings here, because that
# would need KDEInstallDirs, which we can only include in the qt{5,6} subdirs
# to get the correct installation dirs for each Qt version.
option(BUILD_TESTING "Build the testing tree." ON)
if(BUILD_TESTING)
    enable_testing()
endif()

include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(GenerateExportHeader)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

find_package(Wayland 1.9 REQUIRED Client)
find_package(PlasmaWaylandProtocols 1.6.0 CONFIG REQUIRED)

option(BUILD_QT5 "Build for Qt5" ON)
option(BUILD_QT6 "Build for Qt6" ON)

#CI is stupid and doesn't allow us to set CMAKE options per build variant
if ($ENV{CI_JOB_NAME_SLUG} MATCHES "qt5")
    set(BUILD_QT5 ON)
    set(BUILD_QT6 OFF)
elseif($ENV{CI_JOB_NAME_SLUG} MATCHES "qt6")
    set(BUILD_QT5 OFF)
    set(BUILD_QT6 ON)
endif()

find_package(XCB COMPONENTS XCB)
set_package_properties(XCB PROPERTIES
    DESCRIPTION "X protocol C-language Binding"
    URL "https://xcb.freedesktop.org"
    TYPE REQUIRED
    PURPOSE "Required to pass style properties to native Windows on X11 Platform"
)

find_package(FontNotoSans)
set_package_properties(FontNotoSans PROPERTIES
    PURPOSE "Default sans-serif font -- this is not detected automatically, pass -DCMAKE_DISABLE_FIND_PACKAGE_FontNotoSans=true to mark it ignored."
    URL "https://www.google.com/get/noto/"
    TYPE RUNTIME
)
find_package(FontNotoColorEmoji)
set_package_properties(FontNotoColorEmoji PROPERTIES
    PURPOSE "Default emoji font -- this is not detected automatically, pass -DCMAKE_DISABLE_FIND_PACKAGE_FontNotoColorEmoji=true to mark it ignored."
    URL "https://www.google.com/get/noto/"
    TYPE RUNTIME
)
find_package(FontHack)
set_package_properties(FontHack PROPERTIES
    PURPOSE "Default monospace font -- this is not detected automatically, pass -DCMAKE_DISABLE_FIND_PACKAGE_FontHack=true to mark it ignored."
    URL "https://sourcefoundry.org/hack/"
    TYPE RUNTIME
)
find_package(XDGDesktopPortalKDE)
set_package_properties(XDGDesktopPortalKDE PROPERTIES
    PURPOSE "Required for open-with dialog to work correctly -- this is not detected automatically, pass -DCMAKE_DISABLE_FIND_PACKAGE_XDGDesktopPortalKDE=true to mark it ignored."
    URL "https://invent.kde.org/plasma/xdg-desktop-portal-kde"
    TYPE RUNTIME
)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

if (${BUILD_QT5})
    unset(QUERY_EXECUTABLE CACHE)
    add_subdirectory(qt5)
endif()

if (${BUILD_QT6})
    unset(QUERY_EXECUTABLE CACHE)

    add_definitions(-DTRANSLATION_DOMAIN=\"plasmaintegration5\")
    add_subdirectory(qt6)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
plasma-integration (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:38:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: plasma-integration
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: breeze-dev (>= 4:6.5.0~),
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               breeze-dev (>= 4:6.4.91~),
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
@@ -44,16 +45,16 @@
                qt6-base-private-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-wayland-dev (>= 6.9.0~),
-               qt6-wayland-dev-tools (>= 5.15.2~),
+               qt6-wayland-dev-tools (>= 6.9.0~),
                qtbase5-dev (>= 5.15.2~),
                qtbase5-private-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
                qtwayland5-dev-tools (>= 5.15.2~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-integration
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-integration
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-integration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
 Rules-Requires-Root: no
 
 Package: plasma-integration
@@ -78,9 +79,7 @@
          qml-module-org-kde-qqc2desktopstyle,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: fonts-hack,
-            fonts-noto-core,
-            fonts-noto-ui-core,
+Recommends: fonts-hack, fonts-noto-core, fonts-noto-ui-core,
 Enhances: kio,
 Breaks: plasma-integration (<< 6.1.0~),
 Replaces: plasma-integration (<< 6.1.0~),

## plasma-integration 6.5.0+p24.04+vstable+git20251028.2248

=== debian/changelog ===
plasma-integration (6.5.0+p24.04+vstable+git20251028.2248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 22:48:29 +0000

plasma-integration (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:30:42 +0000

=== debian/control ===
Source: plasma-integration
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: breeze-dev,
               cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kwayland-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5wayland-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libqt5waylandclient5-dev,
               libqt5x11extras5-dev,
               libwayland-dev,
               libxcursor-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-wayland-dev,
               qt6-wayland-dev-tools,
               qtbase5-dev,
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               qtwayland5-dev-tools
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-integration
Vcs-Git: https://invent.kde.org/neon/kde/plasma-integration.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-integration
Maintainer: Neon CI <neon@kde.org>

Package: plasma-integration
Architecture: any
Depends: breeze,
         fonts-hack,
         fonts-noto-cjk,
         fonts-noto-color-emoji,
         fonts-noto-core,
         fonts-noto-ui-core,
         kf6-qqc2-desktop-style,
         qml6-module-org-kde-qqc2breezestyle,
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt Platform Theme integration plugins for KDE Plasma
 A plugin to provide Qt Platform Theme integration for the Plasma
 workspace.

Package: plasma-integration5
Architecture: any
Depends: plasma-integration,
         qml-module-org-kde-qqc2desktopstyle,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt Platform Theme integration plugins for KDE Plasma
 A plugin to provide Qt Platform Theme integration for the Plasma
 workspace.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

QT6_CMAKE_ARGS = -DBUILD_QT5=OFF -DBUILD_QT6=ON
QT5_CMAKE_ARGS = -DBUILD_QT5=ON -DBUILD_QT6=OFF

%:
	dh $@ --with kf6 --buildsystem kf6

execute_after_dh_auto_clean:
	rm -rf build-QT5

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-QT5 -- $(QT5_CMAKE_ARGS) -DUSE_QT_VERSION=5
	dh_auto_configure -- $(QT6_CMAKE_ARGS) -DUSE_QT_VERSION=6

override_dh_auto_build:
	dh_auto_build --builddirectory=build-QT5
	dh_auto_build

override_dh_install:
	dh_auto_install --builddirectory=build-QT5
	dh_install

## plasma-integration 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(PlasmaIntegration)
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 
 set(QT5_MIN_VERSION "5.15.2")
 set(QT_MIN_VERSION "6.9.0")

=== qt6/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)

find_package(Qt6Test ${QT_MIN_VERSION} CONFIG QUIET)
find_package(Qt6Qml ${QT_MIN_VERSION} CONFIG QUIET)
find_package(Qt6QmlTools ${QT_MIN_VERSION} CONFIG QUIET) # qmltestrunner

if(NOT Qt6Test_FOUND)
    message(STATUS "Qt6Test not found, autotests will not be built.")
    return()
endif()

if(NOT Qt6Qml_FOUND)
    message(STATUS "Qt6Qml not found, QML autotests will not be built.")
endif()

set(CONFIGFILE "${CMAKE_CURRENT_SOURCE_DIR}/kdeplatformtheme_kdeglobals")
set(CHANGED_CONFIGFILE "${CMAKE_CURRENT_SOURCE_DIR}/kdeplatformtheme_changed_kdeglobals")
configure_file(kdeplatformtheme_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdeplatformtheme_config.h)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
# qdbusmenubar uses them
remove_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)

macro(FRAMEWORKINTEGRATION_TESTS _testname)
    add_executable(${_testname}6 ${_testname}.cpp ${ARGN})
    set_target_properties(${_testname}6 PROPERTIES COMPILE_FLAGS "-DUNIT_TEST")
    add_test(NAME frameworkintegration-${_testname}6 COMMAND ${_testname}6)
    ecm_mark_as_test(${_testname}6)
    ecm_mark_nongui_executable(${_testname}6)
    target_include_directories(${_testname}6 PRIVATE ${CMAKE_BINARY_DIR}/qt6/src/platformtheme)
    target_link_libraries(${_testname}6
        Qt6::GuiPrivate
        Qt6::Test
        Qt6::DBus
        Qt6::QuickControls2
        KF6::ConfigCore
        KF6::IconThemes
        KF6::KIOFileWidgets
        KF6::I18n
        KF6::Notifications
        KF6::StatusNotifierItem
        KF6::WindowSystem
        KF6::GuiAddons
        Qt6::WaylandClient
        XCB::XCB
        Wayland::Client
        KF6::XmlGui
        KF6::ColorScheme
    )
endmacro()

set(dbus_interface)
qt6_add_dbus_interface(dbus_interface ../src/platformtheme/org.kde.StatusNotifierWatcher.xml statusnotifierwatcher_interface)

frameworkintegration_tests(
    kdeplatformtheme_unittest
)
set(wayland_interfaces)
if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()
qt6_generate_wayland_protocol_client_sources(kdeplatformtheme_unittest6
    ${private_code_option}
    FILES
      ${PLASMA_WAYLAND_PROTOCOLS_DIR}/appmenu.xml
      ${PLASMA_WAYLAND_PROTOCOLS_DIR}/server-decoration-palette.xml
)

target_sources(kdeplatformtheme_unittest6 PRIVATE
  ../src/platformtheme/kdeplatformtheme.cpp ../src/platformtheme/kdeplatformtheme.h
  ../src/platformtheme/kfontsettingsdata.cpp ../src/platformtheme/kfontsettingsdata.h
  ../src/platformtheme/khintssettings.cpp ../src/platformtheme/khintssettings.h
  ../src/platformtheme/kdeplatformfiledialoghelper.cpp ../src/platformtheme/kdeplatformfiledialoghelper.h
  ../src/platformtheme/kdeplatformfiledialogbase.cpp
  ../src/platformtheme/kdeplatformsystemtrayicon.cpp ../src/platformtheme/kdeplatformsystemtrayicon.h
  ../src/platformtheme/kdirselectdialog.cpp
  ../src/platformtheme/kfiletreeview.cpp
  ../src/platformtheme/kwaylandintegration.cpp ../src/platformtheme/kwaylandintegration.h
  ../src/platformtheme/x11integration.cpp ../src/platformtheme/x11integration.h
  ../src/platformtheme/qxdgdesktopportalfiledialog.cpp
  ../src/platformtheme/qdbusmenubarwrapper.h
  ../src/platformtheme/kiodelegate.cpp
  ../src/platformtheme/kioopenwith.cpp
  ${dbus_interface}
  ${wayland_interfaces}
)
# TODO KF6 Port D-Bus menu support
target_compile_definitions(kdeplatformtheme_unittest6 PRIVATE -DKF6_TODO_DBUS_MENUBAR)

frameworkintegration_tests(
  kfontsettingsdata_unittest
  ../src/platformtheme/kfontsettingsdata.cpp ../src/platformtheme/kfontsettingsdata.h
)

frameworkintegration_tests(
  kfiledialog_unittest
)

frameworkintegration_tests(
  ksni_unittest
)

frameworkintegration_tests(
  kdeplatformsystemtrayicon_unittest
  ../src/platformtheme/kdeplatformsystemtrayicon.cpp ../src/platformtheme/kdeplatformsystemtrayicon.h
  ${dbus_interface}
)

frameworkintegration_tests(
  kdirselectdialog_unittest
  ../src/platformtheme/kdeplatformfiledialogbase.cpp
  ../src/platformtheme/kdirselectdialog.cpp
  ../src/platformtheme/kfiletreeview.cpp
)

frameworkintegration_tests(
  khintssettings_unittest
  ../src/platformtheme/khintssettings.cpp ../src/platformtheme/khintssettings.h
)

if(Qt6Qml_FOUND AND TARGET Qt6::qmltestrunner)
    add_test(NAME qmltests6 COMMAND Qt6::qmltestrunner WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

    frameworkintegration_tests(kfiledialogqml_unittest)
    target_link_libraries(kfiledialogqml_unittest6 Qt6::Qml)
endif()

=== qt6/src/platformtheme/CMakeLists.txt ===
find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "Required for updating the Cursor theme on X11"
                        URL "https://www.x.org"
                        TYPE REQUIRED
                        )
set(HAVE_X11 ${X11_FOUND})
if(HAVE_X11)

  find_package(XCB COMPONENTS XCB)
  set_package_properties(XCB PROPERTIES TYPE REQUIRED)
endif()

configure_file(config-platformtheme.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-platformtheme.h )

set(platformtheme_SRCS
    kdeplatformtheme.cpp kdeplatformtheme.h
    kfontsettingsdata.cpp kfontsettingsdata.h
    khintssettings.cpp khintssettings.h
    kdeplatformfiledialoghelper.cpp kdeplatformfiledialoghelper.h
    kdeplatformfiledialogbase.cpp
    kdeplatformsystemtrayicon.cpp kdeplatformsystemtrayicon.h
    kfiletreeview.cpp
    kdirselectdialog.cpp
    kwaylandintegration.cpp kwaylandintegration.h
    x11integration.cpp x11integration.h
    main.cpp
    qxdgdesktopportalfiledialog.cpp
    qtquickrenderersettings.cpp
    qdbusmenubarwrapper.h
    kioopenwith.cpp
    kiodelegate.cpp
)

qt6_add_dbus_interface(platformtheme_SRCS org.kde.StatusNotifierWatcher.xml statusnotifierwatcher_interface)
kconfig_add_kcfg_files(platformtheme_SRCS renderersettings.kcfgc)
add_library(KDEPlasmaPlatformTheme6 MODULE)

# TODO KF6 Port D-Bus menu support
target_compile_definitions(KDEPlasmaPlatformTheme6 PRIVATE -DKF6_TODO_DBUS_MENUBAR)

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()
qt6_generate_wayland_protocol_client_sources(KDEPlasmaPlatformTheme6
    ${private_code_option}
    FILES
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/server-decoration-palette.xml
)
if (Qt6_VERSION VERSION_LESS "6.9.0")
    qt6_generate_wayland_protocol_client_sources(KDEPlasmaPlatformTheme6
        ${private_code_option}
        FILES
            ${PLASMA_WAYLAND_PROTOCOLS_DIR}/appmenu.xml
    )
endif()

target_sources(KDEPlasmaPlatformTheme6 PRIVATE ${platformtheme_SRCS})

target_link_libraries(KDEPlasmaPlatformTheme6
    PRIVATE
        Qt6::Core
        Qt6::Gui
        Qt6::GuiPrivate
        Qt6::DBus
        Qt6::QuickControls2
        KF6::ConfigCore
        KF6::ConfigGui
        KF6::IconThemes
        KF6::KIOFileWidgets # KFileFilterCombo, KDirSortFilterProxyModel, KRecentDirs
        KF6::KIOWidgets
        KF6::KIOGui
        KF6::StatusNotifierItem
        KF6::XmlGui
        KF6::I18n
        KF6::Notifications
        KF6::WindowSystem
        KF6::GuiAddons
        XCB::XCB
        Qt6::WaylandClient
        Qt6::GuiPrivate
        Wayland::Client
)

target_link_libraries(KDEPlasmaPlatformTheme6 PRIVATE KF6::ColorScheme)

if(HAVE_X11)
  target_link_libraries(KDEPlasmaPlatformTheme6 PRIVATE ${X11_Xcursor_LIB} ${XCB_XCB_LIBRARY})
endif()

set_target_properties(KDEPlasmaPlatformTheme6 PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/platformthemes/")
install(TARGETS KDEPlasmaPlatformTheme6 DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/platformthemes)

=== debian/changelog ===
plasma-integration (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:48:07 +0000

=== debian/control ===
Source: plasma-integration
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: breeze-dev (>= 4:6.5.1~),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf5config-dev (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5iconthemes-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5wayland-dev (>= 4:5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libkf5xmlgui-dev (>= 5.102.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libqt5waylandclient5-dev (>= 5.15.2~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libwayland-dev (>= 1.9~),
               libxcursor-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.6.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-dev-tools (>= 6.9.0~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
               qtwayland5-dev-tools (>= 5.15.2~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
Rules-Requires-Root: no

Package: plasma-integration
Architecture: any
Depends: breeze (>= 4:6.2.90~),
         qml6-module-org-kde-breeze,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: fonts-hack,
            fonts-noto-color-emoji,
            fonts-noto-core,
            fonts-noto-ui-core,
            xdg-desktop-portal-kde,
Enhances: kio6,
Description: Qt Platform Theme integration plugins for KDE Plasma 6
 A plugin to provide Qt Platform Theme integration for the Plasma 6
 workspace.

Package: plasma5-integration
Architecture: any
Depends: breeze (>= 4:5.27.11~),
         qml-module-org-kde-qqc2desktopstyle,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: fonts-hack, fonts-noto-core, fonts-noto-ui-core,
Enhances: kio,
Breaks: plasma-integration (<< 6.1.0~),
Replaces: plasma-integration (<< 6.1.0~),
Description: Qt Platform Theme integration plugins for KDE Plasma 5
 A plugin to provide Qt Platform Theme integration for the Plasma 5
 workspace.

## plasma-integration 6.5.1+p24.04+vstable+git20251029.0731

=== debian/changelog ===
plasma-integration (6.5.1+p24.04+vstable+git20251029.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:31:44 +0000

plasma-integration (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:57:05 +0000

## plasma-integration 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(PlasmaIntegration)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 set(QT5_MIN_VERSION "5.15.2")
 set(QT_MIN_VERSION "6.9.0")

=== qt5/src/platformtheme/CMakeLists.txt ===
find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "Required for updating the Cursor theme on X11"
                        URL "https://www.x.org"
                        TYPE REQUIRED
                        )
set(HAVE_X11 ${X11_FOUND})
if(HAVE_X11)
  find_package(Qt5 ${QT5_MIN_VERSION} CONFIG REQUIRED X11Extras)

  find_package(XCB COMPONENTS XCB)
  set_package_properties(XCB PROPERTIES TYPE REQUIRED)
endif()

configure_file(config-platformtheme.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-platformtheme.h )

# qdbusmenubar uses them
remove_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)

set(platformtheme_SRCS
    kdeplatformtheme.cpp kdeplatformtheme.h
    kfontsettingsdata.cpp kfontsettingsdata.h
    khintssettings.cpp khintssettings.h
    kdeplatformfiledialoghelper.cpp kdeplatformfiledialoghelper.h
    kdeplatformfiledialogbase.cpp
    kdeplatformsystemtrayicon.cpp kdeplatformsystemtrayicon.h
    kfiletreeview.cpp
    kdirselectdialog.cpp
    kwaylandintegration.cpp kwaylandintegration.h
    x11integration.cpp x11integration.h
    main.cpp
    qxdgdesktopportalfiledialog.cpp
    qtquickrenderersettings.cpp
)
list(APPEND platformtheme_SRCS qdbusmenubar.cpp) # fork of Qt's qdbusmenubar with some added setters for our convenience

qt5_add_dbus_interface(platformtheme_SRCS org.kde.StatusNotifierWatcher.xml statusnotifierwatcher_interface)
kconfig_add_kcfg_files(platformtheme_SRCS renderersettings.kcfgc)
add_library(KDEPlasmaPlatformTheme5 MODULE)
ecm_add_qtwayland_client_protocol(platformtheme_SRCS
    PROTOCOL ${PLASMA_WAYLAND_PROTOCOLS_DIR}/appmenu.xml
    BASENAME appmenu
)

ecm_add_qtwayland_client_protocol(platformtheme_SRCS
    PROTOCOL ${PLASMA_WAYLAND_PROTOCOLS_DIR}/server-decoration-palette.xml
    BASENAME server-decoration-palette
)
target_sources(KDEPlasmaPlatformTheme5 PRIVATE ${platformtheme_SRCS})

target_link_libraries(KDEPlasmaPlatformTheme5
    PRIVATE
        Qt5::GuiPrivate
        Qt5::DBus
        Qt5::QuickControls2
        KF5::ConfigCore
        KF5::IconThemes
        KF5::KIOFileWidgets # KFileFilterCombo, KDirSortFilterProxyModel, KRecentDirs
        KF5::KIOWidgets
        KF5::KIOGui
        KF5::XmlGui
        KF5::I18n
        KF5::Notifications
        KF5::WindowSystem
        KF5::GuiAddons
        XCB::XCB
        ${QT5PLATFORMSUPPORT_LIBS}
        Qt5::WaylandClient
        Qt5::GuiPrivate
        Wayland::Client
        KF5::WaylandClient
)
target_link_libraries(KDEPlasmaPlatformTheme5 PRIVATE Qt5::X11Extras)
target_link_libraries(KDEPlasmaPlatformTheme5 PRIVATE KF5::ConfigWidgets)

if(HAVE_X11)
  target_link_libraries(KDEPlasmaPlatformTheme5 PRIVATE ${X11_Xcursor_LIB} ${XCB_XCB_LIBRARY})
endif()

set_target_properties(KDEPlasmaPlatformTheme5 PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/platformthemes/")
install(TARGETS KDEPlasmaPlatformTheme5 DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/platformthemes)

=== debian/changelog ===
plasma-integration (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:33:55 +0100

plasma-integration (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Refresh copyright information.
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:16:01 +0100

plasma-integration (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:00:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: plasma-integration
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: breeze-dev (>= 4:6.5.1~),
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.18.0~),
+               breeze-dev (>= 4:6.4.91~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
@@ -45,17 +44,16 @@
                qt6-base-private-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-wayland-dev (>= 6.9.0~),
-               qt6-wayland-dev-tools (>= 6.9.0~),
+               qt6-wayland-dev-tools (>= 5.15.2~),
                qtbase5-dev (>= 5.15.2~),
                qtbase5-private-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
                qtwayland5-dev-tools (>= 5.15.2~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/plasma-integration
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-integration
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-integration.git
 
 Package: plasma-integration
 Architecture: any
@@ -79,7 +77,9 @@
          qml-module-org-kde-qqc2desktopstyle,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: fonts-hack, fonts-noto-core, fonts-noto-ui-core,
+Recommends: fonts-hack,
+            fonts-noto-core,
+            fonts-noto-ui-core,
 Enhances: kio,
 Breaks: plasma-integration (<< 6.1.0~),
 Replaces: plasma-integration (<< 6.1.0~),

## plasma-integration 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(PlasmaIntegration)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 
 set(QT5_MIN_VERSION "5.15.2")
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
plasma-integration (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:09:09 +0000

plasma-integration (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:13:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: plasma-integration
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: breeze-dev (>= 4:6.5.3~),
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               breeze-dev (>= 4:6.4.91~),
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
@@ -44,16 +45,17 @@
                qt6-base-private-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-wayland-dev (>= 6.9.0~),
-               qt6-wayland-dev-tools (>= 5.15.2~),
+               qt6-wayland-dev-tools (>= 6.9.0~),
                qtbase5-dev (>= 5.15.2~),
                qtbase5-private-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
                qtwayland5-dev-tools (>= 5.15.2~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-integration
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-integration
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-integration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
+Rules-Requires-Root: no
 
 Package: plasma-integration
 Architecture: any
@@ -77,9 +79,7 @@
          qml-module-org-kde-qqc2desktopstyle,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: fonts-hack,
-            fonts-noto-core,
-            fonts-noto-ui-core,
+Recommends: fonts-hack, fonts-noto-core, fonts-noto-ui-core,
 Enhances: kio,
 Breaks: plasma-integration (<< 6.1.0~),
 Replaces: plasma-integration (<< 6.1.0~),

## plasma-integration 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(PlasmaIntegration)
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.4")
 
 set(QT5_MIN_VERSION "5.15.2")
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
plasma-integration (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:20:22 +0000

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: breeze-dev (>= 4:6.5.3~),
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               breeze-dev (>= 4:6.5.4~),
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf5config-dev (>= 5.102.0~),

## plasma-integration 6.5.4+p24.04+vstable+git20251209.1441

=== debian/changelog ===
plasma-integration (6.5.4+p24.04+vstable+git20251209.1441-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 14:41:09 +0000

plasma-integration (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:23:28 +1000

plasma-integration (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:15:10 +1000

plasma-integration (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:14:14 +1000

## plasma-integration 6.5.4+p24.04+vstable+git20251231.0508

=== debian/changelog ===
plasma-integration (6.5.4+p24.04+vstable+git20251231.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:08:45 +0000

## plasma-integration 6.5.4+p24.04+vstable+git20260105.1213

=== debian/changelog ===
plasma-integration (6.5.4+p24.04+vstable+git20260105.1213-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:13:55 +0000

## plasma-integration 6.5.4+p24.04+vunstable+git20251209.1451

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(PlasmaIntegration)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.80")
 
 set(QT5_MIN_VERSION "5.15.2")
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
plasma-integration (6.5.4+p24.04+vunstable+git20251209.1451-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 14:51:52 +0000

## plasma-integration 6.5.4+p24.04+vunstable+git20260103.0205

=== debian/changelog ===
plasma-integration (6.5.4+p24.04+vunstable+git20260103.0205-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:05:57 +0000

## plasma-integration 6.5.4+p24.04+vunstable+git20260107.1244

=== debian/changelog ===
plasma-integration (6.5.4+p24.04+vunstable+git20260107.1244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 12:44:22 +0000

## plasma-integration 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(PlasmaIntegration)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.5")
 
 set(QT5_MIN_VERSION "5.15.2")
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
plasma-integration (6.5.5-0ubuntu6) resolute; urgency=medium

  * Update build deps for Qt 6.10.

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Feb 2026 06:48:08 +0000

plasma-integration (6.5.5-0ubuntu5) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 15:57:00 +0000

plasma-integration (6.5.5-0ubuntu4) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:06:57 +0000

plasma-integration (6.5.5-0ubuntu3) resolute; urgency=medium

  * No-change rebuild against Qt 5.15.18 on amd64v3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 18 Jan 2026 00:56:19 +0300

plasma-integration (6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild against Qt 5.15.18.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 14 Jan 2026 13:07:48 +0300

plasma-integration (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:06:57 +0000

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: breeze-dev (>= 4:6.5.5~),
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               breeze-dev (>= 4:6.5.4~),
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf5config-dev (>= 5.102.0~),
@@ -42,10 +42,10 @@
                pkgconf,
                plasma-wayland-protocols (>= 1.6.0~),
                qt6-base-dev (>= 6.9.0~),
+               qt6-base-dev-tools (>= 6.10.0~),
                qt6-base-private-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-wayland-dev (>= 6.9.0~),
-               qt6-wayland-dev-tools (>= 6.9.0~),
                qtbase5-dev (>= 5.15.2~),
                qtbase5-private-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
